package tycho.surefire.problem.chart.tests;

import java.util.Arrays;

import org.eclipse.birt.chart.model.attribute.impl.ColorDefinitionImpl;
import org.eclipse.birt.core.framework.Platform;
import org.eclipse.birt.core.framework.PlatformConfig;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.junit.Test;

import tycho.surefire.problem.chart.ChartComposite;
import tycho.surefire.problem.chart.Charts;
import tycho.surefire.problem.chart.LinesChart;
import tycho.surefire.problem.chart.LinesChart.LineData;

public class TestCompositeChart {
	
	@Test
	@SuppressWarnings("deprecation")
	public void testCreate() {
		
		final LineData line1 = new LineData("line1", ColorDefinitionImpl.RED(), new Double[] { 1d, 2d, 3d, 4d, 5d, 6d, 7d, 8d, 9d, 10d }, false); //$NON-NLS-1$
		final LineData line2 = new LineData("line2", ColorDefinitionImpl.BLUE(), new Double[] { 10d, 9d, 8d, 7d, 6d, 5d, 4d, 3d, 2d, 1d }, false); //$NON-NLS-1$
		
		final LinesChart chart = new LinesChart("chart", Charts.randomDates(10), Arrays.asList(line1, line2), false, false); //$NON-NLS-1$
		
		final PlatformConfig config = new PlatformConfig();
		config.setProperty("STANDALONE", Boolean.valueOf(!Platform.runningEclipse()).toString()); //$NON-NLS-1$
		
		final Display display = Display.getDefault();
		
		final Shell shell = new Shell(display);
		shell.setSize(600, 400);
		shell.setLayout(new GridLayout());
		
		final GridData data = new GridData(SWT.CENTER, SWT.CENTER, true, true);
		data.widthHint = 600;
		data.heightHint = 400;

		final ChartComposite chartCompo = new ChartComposite(shell, chart, config);
		chartCompo.setLayoutData(data);
		
	}
	
	@Test
	public void testSWT() {

		final Display display = Display.getDefault();
		
		final Shell shell = new Shell(display);
		shell.setSize(600, 400);
		shell.setLayout(new GridLayout());

		new Composite(shell, 0);

		shell.open();

	}

}
